Failed at the magicmirror@2.2.2 start script 'sh-run-start.sh'



  • @cruunnerr after an auto install without sudo, made it work starting the installation of electron for the 2nd time in it’s folder. Now everything runs smooth if i give him commands but 1:
    -server only does not work, i can’t access it remotely
    -pm2 start does not work, the display goes all black but no module is loaded, it stays black. I tried with both my old config and the example config
    -maybe local launch does not work too? i have no idea since it’s really hard to connect a mouse and keyboard. If i use a VNC can i start it with npm start only?
    any idea?



  • @L_i_v_e said in Failed at the magicmirror@2.2.2 start script ‘sh-run-start.sh’:

    If i use a VNC can i start it with npm start only?

    Yes.

    Since i started my project a few weeks/month ago i have had some trouble, too. But it was all about my inexperience. So at this point im out at all, sorry.
    Hope someone can help you.
    But if i said before: Reading the many tutorials and do it like it’s written there brought me to the goal.
    Only difference to you was, that i was using the early magic mirror versions.
    Maybe u should give it a last try with Version 2.1.3 and updating later or hoping that there are other guys who can help you. 😞



  • I too have the same problems. In another thread started a few days ago because I have the same issues.
    Started with Stretch, then went back to an old Jessie Lite version.
    I have done the automatic install, the manual install, as root and not as root.
    All fail at the same place. I currently have 5 MM running on PI3, then the update came and tried on one device when it crashed. I will not touch the others until this is resolved.
    If someone fixes this can they post the steps they used and a link to the image that they used as well.
    This is getting very frustrating. All my mirrors went together in a matter of an hour or so with no problems. Setting the modules and css is another thing though.
    Any help is very much appreciated.
    carltonb



  • Because i am very interested why there are so much problems i will install a complete new Raspbian and MagicMirror. Let me try, i will report soon



  • Please let me know. If you make It work could you share It as an ISO ti flash? Would be so good



  • I too am keeping abreast of this. I have had 5 installs that went so well that after the update, I can not get it installed.
    Are we the only ones having problems.
    Do the install directions need to be changed. Luckily I have backed up every sd card so I am safe, but need to figure out if I do anything to them now (besides the MM upgrade) will they crash.



  • I think i figured out what went wrong 😉

    i set up a new raspbian (Desktop Version) and could install the MagicMirro without any issues.

    IMPORTANT:

    while the installation of MagicMirror (automatic installer) u will see this:

    Cloning MagicMirror Done!
    Installing dependencies ...
    npm WARN deprecated coffee-script@1.10.0: CoffeeScript on NPM has moved to "coffeescript" (no hyphen)
    npm WARN prefer global coffee-script@1.10.0 should be installed with -g
    npm WARN prefer global jsonlint@1.6.2 should be installed with -g
    
    > uws@0.14.5 install /home/pi/MagicMirror/node_modules/uws
    > node-gyp rebuild > build_log.txt 2>&1 || exit 0
    

    When u arrived this, it seems the installation is done. But wrong! just wait. it will take some time even if there is no cursor blinking.

    Just wait and you will see some more installation steps:

    0_1515181533671_Bildschirmfoto 2018-01-05 um 20.44.31.png

    Wait again:

    0_1515181564303_Bildschirmfoto 2018-01-05 um 20.44.47.png

    wait again ^^ and u will be asked if u want to use pm2. say YES! :

    0_1515181586411_Bildschirmfoto 2018-01-05 um 20.44.58.png

    Finally u will see this:

    0_1515181641602_Bildschirmfoto 2018-01-05 um 20.45.04.png

    And after a few seconds the magic mirror will start automatically and u can enjoy 😃

    Edit:
    so just to get sure, here are the quick steps i did:

    1. loaded the newest raspbian stretch with desktop from here

    2. copy to SD card with ApplePi-Baker

    3. put an empty file named “ssh” on the boot directory to enable ssh

    4. start the pi

    5. via ssh sudo raspi-config
      set up some configurations like Network-Name, Screen resolution, enabled VNC, expand filesystem etc.

    6. reboot

    7. sudo apt-get update ; sudo apt-get upgrade
      this will take a while

    8. sudo rpi-update
      this will take a while, too

    9. reboot

    10. bash -c "$(curl -sL https://raw.githubusercontent.com/MichMich/MagicMirror/master/installers/raspberry.sh)"

    Then just wait! 😉



  • @cruunnerr said in Failed at the magicmirror@2.2.2 start script ‘sh-run-start.sh’:

    VNC

    No NPM install or other necessary pi setup as listed on the site at Configuring the Raspberry Pi?



  • @carltonb said in Failed at the magicmirror@2.2.2 start script ‘sh-run-start.sh’:

    Configuring the Raspberry Pi

    Oh sorry, i enabled display rotate in the config. And to disable the screensaver i used sudo apt get install xscreensaver, then via VNC on the Desktop move to the upper left corner (the raspberry button) and go to Preference -> Screensaver and disable it.
    Maybe use sudo apt-get install unclutter to hide mouse.

    I just set it up to proof, if there are any issues ^^ So this was a quick install “guide”

    But yes, there is no extra npm install or something like that necessary.
    VNC can be enabled with raspi-config

    edit:
    oh, and keep in mind that u have to set pm2 to automatically start at reboot.

    maybe after the first restart after installation finished there is no automatically startet MagicMirror.

    https://github.com/MichMich/MagicMirror/wiki/Auto-Starting-MagicMirror



  • @cruunnerr lucky you… this is what i got

    pi@raspberrypi:~ $ bash -c "$(curl -sL https://raw.githubusercontent.com/MichMich/MagicMirror/master/installers/raspberry.sh)"
    
    $$\      $$\                     $$\           $$\      $$\ $$\                                          $$$$$$\
    $$$\    $$$ |                    \__|          $$$\    $$$ |\__|                                        $$  __$$\
    $$$$\  $$$$ | $$$$$$\   $$$$$$\  $$\  $$$$$$$\ $$$$\  $$$$ |$$\  $$$$$$\   $$$$$$\   $$$$$$\   $$$$$$\  \__/  $$ |
    $$\$$\$$ $$ | \____$$\ $$  __$$\ $$ |$$  _____|$$\$$\$$ $$ |$$ |$$  __$$\ $$  __$$\ $$  __$$\ $$  __$$\  $$$$$$  |
    $$ \$$$  $$ | $$$$$$$ |$$ /  $$ |$$ |$$ /      $$ \$$$  $$ |$$ |$$ |  \__|$$ |  \__|$$ /  $$ |$$ |  \__|$$  ____/
    $$ |\$  /$$ |$$  __$$ |$$ |  $$ |$$ |$$ |      $$ |\$  /$$ |$$ |$$ |      $$ |      $$ |  $$ |$$ |      $$ |
    $$ | \_/ $$ |\$$$$$$$ |\$$$$$$$ |$$ |\$$$$$$$\ $$ | \_/ $$ |$$ |$$ |      $$ |      \$$$$$$  |$$ |      $$$$$$$$\
    \__|     \__| \_______| \____$$ |\__| \_______|\__|     \__|\__|\__|      \__|       \______/ \__|      \________|
                           $$\   $$ |
                           \$$$$$$  |
                            \______/
    
    Updating packages ...
    Trovato:1 https://deb.nodesource.com/node_9.x stretch InRelease
    Scaricamento di:2 http://archive.raspberrypi.org/debian stretch InRelease [25,3 kB]
    Trovato:3 http://mirrordirector.raspbian.org/raspbian stretch InRelease
    Recuperati 25,3 kB in 11s (2.260 B/s)
    Lettura elenco dei pacchetti... Fatto
    Installing helper tools ...
    Lettura elenco dei pacchetti... Fatto
    Generazione albero delle dipendenze
    Lettura informazioni sullo stato... Fatto
    build-essential is already the newest version (12.3).
    curl is already the newest version (7.52.1-5+deb9u3).
    git is already the newest version (1:2.11.0-3+deb9u2).
    unzip is already the newest version (6.0-21).
    wget is already the newest version (1.18-5+deb9u1).
    0 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.
    Check current Node installation ...
    Node currently installed. Checking version number.
    Minimum Node version: v5.1.0
    Installed Node version: v9.3.0
    No Node.js upgrade necessary.
    Cloning MagicMirror ...
    Cloning into 'MagicMirror'...
    remote: Counting objects: 9010, done.
    remote: Total 9010 (delta 0), reused 0 (delta 0), pack-reused 9010
    Ricezione degli oggetti: 100% (9010/9010), 11.45 MiB | 19.00 KiB/s, done.
    Risoluzione dei delta: 100% (5098/5098), done.
    Cloning MagicMirror Done!
    Installing dependencies ...
    
    > uws@0.14.5 install /home/pi/MagicMirror/node_modules/uws
    > node-gyp rebuild > build_log.txt 2>&1 || exit 0
    
    
    > electron-chromedriver@1.7.1 install /home/pi/MagicMirror/node_modules/spectron/node_modules/electron-chromedriver
    > node ./download-chromedriver.js
    
    
    > electron@1.4.15 postinstall /home/pi/MagicMirror/node_modules/electron
    > node install.js
    
    /home/pi/MagicMirror/node_modules/electron/install.js:46
      throw err
      ^
    
    Error: read ECONNRESET
        at _errnoException (util.js:999:13)
        at TLSWrap.onread (net.js:629:25)
    npm ERR! code ELIFECYCLE
    npm ERR! errno 1
    npm ERR! electron@1.4.15 postinstall: `node install.js`
    npm ERR! Exit status 1
    npm ERR!
    npm ERR! Failed at the electron@1.4.15 postinstall script.
    npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
    
    npm ERR! A complete log of this run can be found in:
    npm ERR!     /home/pi/.npm/_logs/2018-01-05T20_56_42_584Z-debug.log
    Unable to install dependencies!